develooper Front page | perl.perl5.porters | Postings from July 2001

Upgrade to 5.6.1 and Oraperl/DBI/DBD/Oracle 8.0.6

From:
Michael.Hunton
Date:
July 9, 2001 15:21
Subject:
Upgrade to 5.6.1 and Oraperl/DBI/DBD/Oracle 8.0.6
Message ID:
499F26102ADED21192E30008C75DFD270E1E6D00@roc07bxgeisge.is.ge.com
We recently upgraded to Perl 5.6.1 for sun4-solaris. We were running
5.005_02. Our Perl CGI scripts have the following statement, as stated in
the Perl documentation:

eval 'use Oraperl; 1' || die $@ if $] >= 5;

With the upgrade to 5.6.1, these CGI scripts are failing with the following
error found in the netscape server errors log:

[09/Jul/2001:19:58:10] failure (   34): for host 3.19.33.197 trying to GET
/edipriv-bin/test.pl, cgieng_scan_headers reports: the CGI program
/clients/tradeweb/content/private/cgi-bin/test.pl did not produce a valid
header (name without value: got line "unknown error")

Our non-CGI scripts that have the same eval statement in them, work just
fine.

If we change the eval statement above to "use Oraperl;", the CGI script
executes successfully.

Any clues?



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About